// vO SWP15.java: XN[o[
import java.awt.*; 
import java.awt.event.*;
import javax.swing.*;
public class SWP15 extends JPanel 
{
  public static void main(String arg[])
  {
    JFrame frame = new JFrame("SWP15.java");
    ScrollBarPanel sbarpanel 
                             = new ScrollBarPanel();
    frame.getContentPane().add(sbarpanel);
    frame.setSize(320,300);
    frame.setVisible(true);
    frame.setDefaultCloseOperation(
                              JFrame.EXIT_ON_CLOSE);
  }
}
class ScrollBarPanel extends JPanel
                      implements AdjustmentListener
{
  JScrollBar scrR, scrG, scrB;
  JTextField RText, GText, BText;
  public ScrollBarPanel()
  {
    setBackground(Color.white);
    JPanel p = new JPanel();
    p.setLayout(new GridLayout(3,3,1,5));
    scrR = new JScrollBar(
             Scrollbar.HORIZONTAL,0,20,0,275);
    scrG = new JScrollBar(
             Scrollbar.HORIZONTAL,0,20,0,275);
    scrB = new JScrollBar(
             Scrollbar.HORIZONTAL,0,20,0,275);
    scrR.setBlockIncrement(5); // NbN̑l
    scrG.setBlockIncrement(5);
    scrB.setBlockIncrement(5);
    RText = new JTextField(4);
    GText = new JTextField(4);
    BText = new JTextField(4);
    p.add(scrR);
    p.add(new Label(" Red"));
    p.add(RText);
    p.add(scrG);
    p.add(new Label(" Green"));
    p.add(GText);  
    p.add(scrB);
    p.add(new Label(" Blue"));
    p.add(BText);
    add(p,"South");
    scrR.addAdjustmentListener(this);
    scrG.addAdjustmentListener(this);
    scrB.addAdjustmentListener(this);
  }
  public void adjustmentValueChanged(AdjustmentEvent e)
  {
    if(e.getSource() == scrR 
       || e.getSource() == scrG 
       || e.getSource() == scrB)
      repaint();
  }
  public void update(Graphics g)
  {
    paint(g);
  }
  public void paintComponent(Graphics g)
  {
    int R, G, B;
    Color color = new Color(scrR.getValue(), 
                    scrG.getValue(),scrB.getValue());
    R = color.getRed();
    G = color.getGreen();
    B = color.getBlue();
    RText.setText(Integer.toString(R));
    GText.setText(Integer.toString(G));
    BText.setText(Integer.toString(B));
    g.setColor(color);
    g.fillOval(90,110,140,140); // ~̕`
  }
}