// vO SWP17.java: bNAhtB[ 
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class SWP17 extends JPanel
{
  public static void main(String args[])
  {
    JFrame frame = new JFrame("SWP17.java");
    LAFPanel lafpanel = new LAFPanel();
    frame.getContentPane().add(lafpanel);
    frame.setSize(350,100);
    frame.setVisible(true);
    frame.setDefaultCloseOperation(
                              JFrame.EXIT_ON_CLOSE);
  }
}
class LAFPanel extends JPanel 
                  implements ActionListener
{
  JLabel label = new JLabel(
          "bNAhtB[",
          SwingConstants.CENTER);
  JButton b1 = new JButton("Metal");
  JButton b2 = new JButton("Motif");
  JButton b3 = new JButton("Windows");
  public LAFPanel()
  {
    setBackground(Color.white);
    setLayout(new GridLayout(2,1));
    JPanel p1 = new JPanel();
    JPanel p2 = new JPanel();
    p1.setLayout(new GridLayout(1,3,20,0));
    p1.add(b1);
    p1.add(b2);
    p1.add(b3);
    p2.setLayout(new GridLayout(1,1));
    p2.add(label);
    add(p1); 
    add(p2);
    b1.addActionListener(this);
    b2.addActionListener(this);
    b3.addActionListener(this);
  }
  public void actionPerformed(ActionEvent e)
  {
   String laf = "";
   if(e.getSource() == b1)
    laf = 
    "javax.swing.plaf.metal.MetalLookAndFeel";
   if(e.getSource() == b2)
    laf = 
    "com.sun.java.swing.plaf.motif.MotifLookAndFeel";
   if(e.getSource() == b3)
    laf = 
    "com.sun.java.swing.plaf.windows.WindowsLookAndFeel";
   try
   {
      UIManager.setLookAndFeel(laf);
      SwingUtilities.updateComponentTreeUI(this);
   } 
   catch (Exception ex){}
  }
}

