// vO SWP23.java: AtBϊ (gEk)
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.io.*;
import javax.imageio.*;
import javax.swing.*;
public class SWP23 extends JPanel
{
  public static void main(String args[])
  {
    IPPanel ippanel = new IPPanel(args[0]);
    JFrame frame = new JFrame("SWP23.java");
    frame.getContentPane().add(ippanel);
    frame.setDefaultCloseOperation(
               JFrame.EXIT_ON_CLOSE);
    frame.setSize(300,300);
    frame.setVisible(true);
  }
}
class IPPanel extends JPanel
{
   double x = 1, xd = 0.05; 
   double y = 1, yd = 0.05;
   BufferedImage img;
   public IPPanel(String name)
   {
     try
     {
        File file = new File(name);
        img = ImageIO.read(file);
        addMouseListener(new MyMouse());
     }
     catch (Exception e)
     {
        System.out.println("摜t@Cǂݍ݃G[");
     }
   }
   class MyMouse extends MouseAdapter
   {
     public void mouseClicked(MouseEvent me)
     { // }EXNbN
       x += xd; 
       y += yd; 
       repaint();
     }
     public void mouseExited(MouseEvent me)
     { // }EXEChEOֈړ
       x -= xd; 
       y -= yd; 
       repaint();
     }
  }
  public void update(Graphics g)
  {
    paint(g);
  }
  public void paintComponent(Graphics g)
  {
       super.paintComponent(g);
       Graphics2D g2 = (Graphics2D)g;
       AffineTransform a 
           = AffineTransform.getScaleInstance(x,y);
       g2.setTransform(a);
       g2.drawImage(img, 10, 30, this);
   }
}