// vO SWP24.java: t@C`[U[
import javax.swing.*;
import javax.swing.JFileChooser;
import javax.swing.filechooser.FileFilter;
import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.File;
import java.util.*;
public class SWP24 extends JPanel
{
  public static void main(String[] args) 
 {
    ChooserPanel chooserpanel 
                       = new ChooserPanel();
    JFrame frame = new JFrame("SWP24");
    frame.getContentPane().add(chooserpanel);
    frame.setDefaultCloseOperation(
               JFrame.EXIT_ON_CLOSE);
    frame.setSize(400,400);
    frame.setVisible(true);
  }
}
class ChooserPanel extends JPanel
                  implements ActionListener 
{
  BufferedImage img;
  JLabel label;
  JMenuBar mbar;
  JMenuItem openItem;
  JMenuItem exitItem;
  public ChooserPanel()
  {
    JMenuBar mbar = new JMenuBar();
    JMenu m = new JMenu("t@C");
    openItem = new JMenuItem("J");
    openItem.addActionListener(this);
    m.add(openItem);
    exitItem = new JMenuItem("I");
    exitItem.addActionListener(this);
    m.add(exitItem);
    mbar.add(m);
    add(mbar);
    label = new JLabel("t@C");
    mbar.add(label);
  }
  public void actionPerformed(ActionEvent evt)
  {
    if (evt.getSource() == openItem)
    {
      label.setText("");
      repaint();
      JFileChooser chooser = new JFileChooser();
      chooser.setCurrentDirectory(new File("."));
      final ExtensionFileFilter filter 
                     = new ExtensionFileFilter();
      filter.addExtension("jpg");
      filter.addExtension("jpeg");
      filter.addExtension("gif");
      filter.setDescription("jpg,jpeg,gif");
      chooser.setFileFilter(filter);
      int r = chooser.showOpenDialog(this);
      if (r == JFileChooser.APPROVE_OPTION) 
      { // pXtt@C
        String name 
           = chooser.getSelectedFile().getPath(); 
        try
        {
           File file = new File(name);
           img = ImageIO.read(file);
           repaint();
        }
        catch(Exception e)
        {
          System.out.println("摜t@C\G[");
          e.printStackTrace();          
        }
        label.setText(name);
      }
    } 
    else System.exit(0);
  }
  public void update(Graphics g)
  {
    paint(g);
  }
  public void paintComponent(Graphics g)
  {
     Graphics2D g2 = (Graphics2D)g;
     g2.drawImage(img,0,40,null);
  }
  class ExtensionFileFilter extends FileFilter
  {
     private String description = "";
     private ArrayList extensions = new ArrayList();
     public void addExtension(String extension)
     {
       if(!extension.startsWith("."))
          extension = "." + extension;
       extensions.add(extension.toLowerCase());     
     }
     public void setDescription(String aDescription)
     {
       description = aDescription;
     }
     public String getDescription()
     {
       return(description); 
     }
     public boolean accept(File f)
     {
       if(f.isDirectory()) return(true);
       String name = f.getName().toLowerCase();
       for(int i = 0; i < extensions.size(); i++)
        if(name.endsWith((String)extensions.get(i))) 
           return(true);
       return(false);
     }   
  }
}
